#ifndef KATOPTRON_DISPLAYHOOK_H
#define KATOPTRON_DISPLAYHOOK_H

#include "katoptron.h"
#include "wObject.h"
#include <vector>

class KATOPTRON_API DisplayHook : public fwk::wObject
{
public:
    DisplayHook();
    virtual void display(int nt, double t, std::vector<double> &u);
    virtual void display(int nt,
                         double t,
                         std::vector<double> &u_x,
                         std::vector<double> &u_y,
                         std::vector<double> &u_z,
                         std::vector<double> &u_norm);
    virtual void refresh();
};

#endif //KATOPTRON_DISPLAYHOOK_H
