// $Id$

#ifndef WDOF_H
#define WDOF_H

#include "waves.h"
#include "wObject.h"
#include <vector>
#include <string>

class Node;
class Field;

/**
 * @brief definition of an unknown
 */

class WAVES_API Dof : public wObject
{
public:
    Node &node;
    Field &f;

    Dof(Node &_node, Field &_f) : wObject(), node(_node), f(_f) {}
};

/**
 * @brief list of fields
 */

class WAVES_API Dofs : public wObject
{
public:
    std::vector<Dof *> dofs;

    Dofs() : wObject(), dofs(0) {}
    //~Dofs();
    //void add(Dof &dof);
    size_t size() const { return dofs.size(); }
    //virtual void write(std::ostream &out) const;
};

#endif //WDOF_H
