// rectangle (unstructured triangles)

DefineConstant[ Lx = {  10, Min 1, Max 20, Step 1, Name "Lengths/Lx" }  ];
DefineConstant[ Ly = {  10, Min 1, Max 20, Step 1, Name "Lengths/Ly" }  ];

DefineConstant[ lc = { 1.2, Min 0.1, Max 20, Step 1, Name "Mesh/lc" }  ];

Point(1) = { 0,   0, 0, lc};
Point(2) = { Lx,  0, 0, lc};
Point(3) = { Lx, Ly, 0, lc};
Point(4) = { 0,  Ly, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line Loop(1) = {1, 2, 3, 4};

Plane Surface(1) = {1};

Physical Point("P1") = {1};
Physical Point("P2") = {2};
Physical Point("P3") = {3};
Physical Point("P4") = {4};

Physical Line("Bottom") = {1};
Physical Line("Right") = {2};
Physical Line("Top") = {3};
Physical Line("Left") = {4};

Physical Surface("S1") = {1};

